/*
*/

#ifndef FILTER_H
#define FILTER_H

#include "common.h"


class CaptureFilter {

public:
    CaptureFilter (KSFILTER *ksFilter);
    ~CaptureFilter();

public:
    static NTSTATUS DispatchCreate(KSFILTER *ksFilter, IRP *irp);

private:
    static void Cleanup(CaptureFilter *capFilter);

private:
    // The AVStream filter object associated with this CaptureFilter.
    KSFILTER *m_ksFilter;
};

#endif // FILTER_H

